clevercsv package
=================

Subpackages
-----------

.. toctree::
   :maxdepth: 4

   clevercsv.console

Submodules
----------

clevercsv.break\_ties module
----------------------------

.. automodule:: clevercsv.break_ties
   :members:
   :undoc-members:
   :show-inheritance:

clevercsv.consistency module
----------------------------

.. automodule:: clevercsv.consistency
   :members:
   :undoc-members:
   :show-inheritance:

clevercsv.cparser\_util module
------------------------------

.. automodule:: clevercsv.cparser_util
   :members:
   :undoc-members:
   :show-inheritance:

clevercsv.detect module
-----------------------

.. automodule:: clevercsv.detect
   :members:
   :undoc-members:
   :show-inheritance:

clevercsv.detect\_pattern module
--------------------------------

.. automodule:: clevercsv.detect_pattern
   :members:
   :undoc-members:
   :show-inheritance:

clevercsv.detect\_type module
-----------------------------

.. automodule:: clevercsv.detect_type
   :members:
   :undoc-members:
   :show-inheritance:

clevercsv.dialect module
------------------------

.. automodule:: clevercsv.dialect
   :members:
   :undoc-members:
   :show-inheritance:

clevercsv.dict\_read\_write module
----------------------------------

.. automodule:: clevercsv.dict_read_write
   :members:
   :undoc-members:
   :show-inheritance:

clevercsv.encoding module
-------------------------

.. automodule:: clevercsv.encoding
   :members:
   :undoc-members:
   :show-inheritance:

clevercsv.escape module
-----------------------

.. automodule:: clevercsv.escape
   :members:
   :undoc-members:
   :show-inheritance:

clevercsv.exceptions module
---------------------------

.. automodule:: clevercsv.exceptions
   :members:
   :undoc-members:
   :show-inheritance:

clevercsv.normal\_form module
-----------------------------

.. automodule:: clevercsv.normal_form
   :members:
   :undoc-members:
   :show-inheritance:

clevercsv.potential\_dialects module
------------------------------------

.. automodule:: clevercsv.potential_dialects
   :members:
   :undoc-members:
   :show-inheritance:

clevercsv.read module
---------------------

.. automodule:: clevercsv.read
   :members:
   :undoc-members:
   :show-inheritance:

clevercsv.utils module
----------------------

.. automodule:: clevercsv.utils
   :members:
   :undoc-members:
   :show-inheritance:

clevercsv.wrappers module
-------------------------

.. automodule:: clevercsv.wrappers
   :members:
   :undoc-members:
   :show-inheritance:

clevercsv.write module
----------------------

.. automodule:: clevercsv.write
   :members:
   :undoc-members:
   :show-inheritance:

Module contents
---------------

.. automodule:: clevercsv
   :members:
   :undoc-members:
   :show-inheritance:
